@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

/*font-family: "Montserrat", sans-serif;*/
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    font-family: 'Montserrat', sans-serif;
}
/*Configuraciones generales*/
body{
    font-family: "Montserrat", sans-serif;
    background-color: #F1F4FD;
}

.text_desarrollo{
    text-decoration: underline;
    color: #FFF;
}

img{
    max-width: 100%;
}

.container{
    max-width: 1200px;
    margin: 0 5rem;
}

.btn-1 {
    display: inline-block;
    padding: 14px 30px;
    background-color: #F29F05;
    color: #213566;
    text-transform: uppercase;
    font-size: 15px;
    font-weight: 700;
    border-radius: 15px;
    box-shadow: 0 0 20px rgba(33, 40, 105, 0.2);
}

.btn_what {
    position: fixed;
    width: 1.5em;
    height: 1.5em;
    bottom: 1.5em;
    right: .4em;
    background: #0df053;
    color: #fff;
    border-radius: 50%;
    font-size: 1.8em;
    box-shadow: 0 10px 50px rgba(0, 0, 0, 0.3);
    z-index: 100;
    text-decoration: none;
}

.btn_what:hover {
    color: #0df053;
    background: #fff;
    box-shadow: 0 0 20px #0df053;
    transition: all .5s ease-in-out;
    transform: scale(1.1);
}

.notification {
    position: absolute;
    bottom: 50px;
    left: 50px;
    width: max-content;
    padding: 20px 15px;
    border-radius: 10px;
    background-color: #F29F05;
    color: #f6f5f9;
    transform: translateY(30px);
    opacity: 0;
    visibility: hidden;
    animation: fade-in 6s linear forwards;
    box-shadow: 5px 5px 8px black;
}

.notification p{
    font-size: 20px;
    color: #FFF;
    text-align: center;
}


.notification_progreso {
    position: absolute;
    left: 5px;
    bottom: 5px;
    width: calc(100% - 10px);
    height: 3px;
    transform: scaleX(0);
    transform-origin: left;
    background-image: linear-gradient(to right, #3c5cd0, #3250bf, #213566);
    border-radius: inherit;
    animation: load 6s 0.25s linear forwards;
}


@keyframes fade-in {
    5% {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
    }

    90% {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes load {
    to {
        transform: scaleX(1);
    }
}


@keyframes show {
    from {
        opacity: 0;
        scale: 10%;
    }
    to {
        opacity: 1;
        scale: 100%;
    }
}

.brands{
    view-timeline-name: --reveal;
    animation-name: show;
    animation-fill-mode: backwards;
    animation-timeline: --reveal;
    animation-range: entry 25% cover 50%;
}


#loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: #FFF;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    z-index: 9999;
    opacity: 1;
    transition: opacity 0.8s ease, visibility 0.8s ease;
}


#loader img {
    width: 180px;
    animation: pulse 1.5s ease-in-out infinite;
}

@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: 1;
    }

    50% {
        transform: scale(1.08);
        opacity: 0.9;
    }

    100% {
        transform: scale(1);
        opacity: 1;
    }
}

/* Estado cuando desaparece */
#loader.hidden {
    opacity: 0;
    visibility: hidden;
}


/*Seccion del menu*/
.menu{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px 0;
}

.logo img{
    width: 150px;
}

.menu .navbar ul{
    display: flex;
}

.menu .navbar ul li a{
    font-size: 18px;
    padding: 0 20px;
    color: #213566;
    display: block;
    font-weight: 600;
}

.menu .navbar ul li a:hover{
    color: #F29F05;
    transition: .4s;
    text-decoration: underline;
    scale: 1.1;
}

#menu{
    display: none;
}

.menu-icono{
    width: 25px;
}

.menu label{
    cursor: pointer;
    display: none;
}

/*Seccion del header*/

.header-content{
    display: flex;
    padding: 15px 0 0 0;
}

.header-text{
    flex-basis: 55%;
    padding-right: 20px;
}

.header-text span{
    font-size: 18px;
    text-transform: capitalize;
    color: #F29F05;
    font-weight: 600;
    margin-bottom: 10px;
    display: block;
}

.header-text h1{
    font-size: 50px;
    color: #213566;
    margin-bottom: 15px;
    line-height: 1;
}

p{
    font-size: 18px;
    color: #555;
    margin-bottom: 30px;
    line-height: 1.5;
}


.btn-1:hover{
    background-color: #213566;
    color: #F29F05;
    box-shadow: 0 2px 4px 1px rgba(33, 40, 105, 0.2);
    transition: .4s;
    cursor: pointer;
}

.header-img{
    flex-basis: 45%;
    mask-image: linear-gradient(black 80%, transparent);
    filter: drop-shadow(0 10px 10px black);
}


/*Seccion de clientes*/
.brands_titulo{
    text-align: center;
    margin-top: 100px;
    font-size: 36px;
    line-height: 1;
}

.brands {
    margin-top: 70px;
    padding: 20px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    background-color: #fff;
    border-radius: 25px;
    box-shadow: 0 15px 20px rgba(33, 40, 105, 0.2);
    cursor: pointer;
    gap: 20px;
}


.brands-1 {
    flex: 1 1 150px;
    max-width: 130px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 120px;
    border-radius: 15px;
    box-shadow: 0 8px 12px rgba(33, 40, 105, 0.15);
    padding: 15px;
    background: #fff;
}


.brands-1 img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.brands-1:hover{
    transform: scale(1.2);
    transition: .4s;
}


/*Seccion de servicios*/
.services {
    padding-top: 100px;
    text-align: center;
    visibility: visible;
    animation-duration: 1s;
    animation-delay: 0.4s;
    animation-name: fadeInUp;
}



h2{
    font-size: 36px;
    line-height: 1;
    color: #213566;
    margin-bottom: 20px;
}

.service-content a{
    text-decoration: none;
    flex-basis: calc(28% - 15px);
}

.service-content{
    margin-top: 40px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.services-1 {
    background-color: #FFF;
    margin: 20px 0;
    padding: 15px;
    box-shadow: 0 15px 20px rgba(33, 40, 105, 0.2);
    border-radius: 25px;
    color: #F29F05;
}

.services-1:hover{
    background-color: #F29F05;
    color: #fff;
    cursor: pointer;
    transform: scale(1.1);
    transition: .4s;
}

.services-1 img{
    width: 35px;
    height: 35px;
    margin-bottom: 10px;
}

.services-1 h3{
    font-size: 20px;
    line-height: 1.2;
}


.services-1 p {
    font-size: 15px;
    padding-top: 10px;
    color: #213566;
    line-height: 1;
}


/*Seccion de informacion*/
.information{
    padding: 50px 0 0 0;
    display: flex;
    align-items: center;
}

.information-img{
    flex-basis: 40%;
    mask-image: linear-gradient(black 80%, transparent);
    filter: drop-shadow(0 10px 10px black);
}

.information-txt{
    flex-basis: 60%;
    padding-left: 30px;
}

/*Seccion de about*/
.about-content{
    margin-top: 50px;
    display: flex;
    align-items: center;
}

.about-text{
    flex-basis: 60%;
    padding-right: 80px;
}


.video-player {
    width: 100%;
    max-width: 600px;
    height: auto;
    max-height: 600px;
    border-radius: 12px;
    box-shadow: 0 20px 20px rgba(0, 0, 0, 0.3);
}


/*Seccion de equipo*/
.equipo {
    text-align: center;
    margin-top: 100px;
    background-image: url('assets/img/fondo.png');
    background-size: 600px;
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    min-height: 100vh;
}

/*Ocultar el resto del equipo*/
.equipo-extra {
    display: none;
}

.equipo p {
    font-size: 22px;
    color: #213566;
    margin: 20px 0 30px 0;
}

.equipo-content, .equipo-extra.mostrar {
    border-radius: 50px;
    margin-top: 40px;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.equipo-1 {
    width: 300px;
    padding: 25px 20px;
}

.equipo-1 img {
    width: 200px;
    filter: grayscale(100%);
}

.equipo-1 img:hover {
    filter: grayscale(0%);
    transform: scale(1.1);
    transition: .4s;
    cursor: pointer;
}

.equipo-1 h3 {
    font-size: 20px;
    text-transform: uppercase;
    font-weight: 700;
    color: #213566;
    margin: 10px 0;
}

.equipo-1 span {
    display: block;
    font-size: 17px;
    font-weight: 500;
    color: #213566;
    margin-bottom: 10px;
}

.equipo-1 p {
    font-size: 15px;
    color: #555;
    line-height: 1.5;
}

.equipo-btn .btn-toggle {
    background: #152342;
    color: #fff;
    padding: 12px 28px;
    border: none;
    border-radius: 30px;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15);
}

.equipo-btn .btn-toggle:hover {
    background: #F29F05;
    color: #152342;
    transform: translateY(-3px);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.25);
}

/* Animación al hacer clic */
.equipo-btn .btn-toggle:active {
    transform: scale(1);
}



/*Seccion preguntas frecuentes*/
.preguntas{
    background-image: url('assets/img/fondo.png');
    background-size: 600px;
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    min-height: 100vh;
}

.preguntas-content p{
    font-size: 18px;
    color: #F29F05;
    line-height: 1.2;
    text-wrap-style: balance;
}


.acordion{
    margin: -50px auto 100px auto;
    width: 100%;
    max-width: 900px;
}

input[type="checkbox"]{
    display: none;
}

.acordion h2{
    text-align: center;
    padding-top: 150px;
}


.acordion li{
    list-style: none;
    width: 100%;
    padding: 5px;
}

.acordion .lab{
    display: flex;
    align-items: center;
    font-size: 22px;
    line-height: 1.2;
    padding: 20px;
    margin-bottom: 10px;
    font-weight: 600;
    cursor: pointer;
    position: relative;
    border: 2px solid #213566;
    border-radius: 15px;
    color: #F29F05;
}


.acordion .lab:hover{
    background-color: #213566;
    transition: .4s;
}

.lab::after{
    content: '\002B';
    position: absolute;
    right: 20px;
    font-size: 32px;
    transition: transform 0.5s;
}

.acordion .preguntas-content{
    text-align: center;
    padding: 0 20px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s, padding 0.5s;
    line-height: 1.2;
    border: 2px solid #213566;
    border-top: none;
    border-radius: 0 0 15px 15px;
    background-color: #213566;
}

input[type="checkbox"]:checked ~ .preguntas-content{
    max-height: 200px;
    padding: 20px 20px 0 20px;
}

input[type="checkbox"]:checked ~ ::after{
    transform: rotate(135deg);
}


/*Seccion contacto*/
.contact{
    min-height: 200px;
    position: relative;
    display: flex;
    justify-content: center;
    margin: 20px 0 ;
    z-index: 10;
}

.contact-content{
    background-color: #F29F05;
    border-radius: 12px;
    padding: 30px 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width:80%;
    box-shadow: 0 1px 4px 1px white;
}

.contact-text h2{
    color: #FFF;
    font-size: 2rem;
    line-height: 1;
    font-weight: 700;
}

.contact-text p{
    color: #FFF;
    margin: 0 10px 0 0;
    padding: 0 30px 0 0;
    font-size: 1.2rem;
    line-height: 1.5;
}

.contact-btn a{
    display: inline-flex;
    align-items: center;
    gap: 8px;
    padding: 14px 10px;
    border: 2px solid #FFF;
    border-radius: 30px;
    font-weight: 700;
    transition: alla 0.3s ease-in-out;
    background-color: transparent;
    color: #FFF;
}

.contact-btn a:hover{
    background-color: #213566;
    color: #F29F05;
    box-shadow: 0 2px 4px 1px white;
    transition: .4s;
}

.contact-btn img{
    width: 25px;
    height: 25px;
    background-color: #FFF;
}

/*Footer*/
.footer{
    background-color: #213566;
    text-align: center;
    padding: 200px 20px 40px 20px;
    margin-top: -190px;
}

.footer-content img{
    max-width: 150px;
    height: auto;
}


.footer-content h3{
    color: #FFF;
    font-size: 18px;
}

.footer-redes {
    justify-content: center;
    font-size: 16px;
    line-height: 1.5;
    margin-bottom: 20px;
}

.footer-redes ul{
    display: flex;
    justify-content: center;
    margin-top: 2rem;
}

.footer-redes a svg {
    background-color: #FFF;
    color: #F29F05;
}

.footer-redes svg {
    width: 40px;
    height: 40px;
    margin: 0 15px;
    border-radius: 50%;
    padding: 4px;
    box-shadow: 0 2px 4px 1px #F29F05;
}


.footer-content p{
    color: #FFF;
    font-size: 15px;
    margin-top: 2rem;
    line-height: 1.5;
}

.footer-content span{
    position: relative;
    top: -8px;
    right: 6px;
    color: #F29F05;
    font-size: 0.8rem;
    line-height: 1;
}


/*Responsive*/
@media (max-width: 991px){

    .container{
        margin: 0 2rem;
    }

    .menu{
        padding: 20px;
        position: relative;
    }

    .menu label{
        display: initial;
    }

    .menu .navbar{
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background-color: #FFF;
        display: none;
        box-shadow: 0 15px 20px rgba(33, 40, 105, 0.2);
    }

    .menu .navbar ul{
        flex-direction: column;
    }

    .menu .navbar ul li{
        width: 100%;
        padding: 20px 0;
    }

    .menu .navbar ul li a:hover{
        color: #F29F05;
    }

    #menu:checked ~ .navbar{
        display: initial;
    }

    .header-content{
        padding: 20px 0 0 0;
        flex-direction: column;
        text-align: center;
    }

    .header-text{
        padding: 0;
        margin-bottom: 15px;
    }

    h2{
        font-size: 28px;
    }

    p{
        margin-bottom: 30px;
        font-size: 15px;
    }

    .header-text h1{
        font-size: 35px;
    }

    .brands{
        margin-top: 40px;
        padding: 30px;
        margin: 0 30px;
        flex-direction: column;
    }

    .brands-1{
        text-align: center;
        max-width: 160px;
    }

    .brands-1 p{
        margin-bottom: 20px;
    }

    .brands-1 img{
        margin-bottom: 20px;
    }

    .services{
        padding: 50px 30px 30px 30px;
    }

    .service-content{
        flex-direction: column;
    }

    .services-1{
        margin-bottom: 25px;
    }

    .information{
        padding: 0 30px 30px 30px;
        flex-direction: column;
        text-align: center;
    }

    .information-txt{
        padding: 0 0 30px 0;
    }

    .about{
        padding: 30px;
    }

    .about-content{
        flex-direction: column;
        text-align: center;
    }

    .about-text{
        padding: 0 0 30px 0;
    }

    .video-player {
        width: 120%;
        max-width: 120%;
    }

    .equipo{
        padding-top: 50px;
    }

    .equipo p {
        font-size: 18px;
}

    .equipo, .preguntas{
        background-size: 300px;
    }

    input[type="checkbox"]:checked~.preguntas-content{
            padding: 10px 20px;
    }

    .acordion{
            width: 90%;
    }


    .contact{
        margin: 30px 0 0 0
    }
    .contact-content{
        flex-direction: column;
        text-align: center;
        gap: 20px;
        padding: 20px;
    }
    .contact-text h2{
        font-size: 1.5rem;
    }

    .contact-text p{
        padding: 0;
        font-size: 1rem;
}

    .contact-btn a{
        width: 100%;
        justify-content: center;
    }

    .footer-content p, .acordion .lab{
        text-wrap-style: balance;
    }

    .btn_what {
        bottom: 1em;
    }
    
    .notification{
        margin-bottom: 350px;
        width: 80%;
    }

}


